function doSplit() {
    // Get values from page
    var dia = document.getElementById("finish").value;
    var block = document.getElementById("block").value;
    var rack = document.getElementById("rack").value;

    
    // Format our numbers to prevent maximum user stupidity
    if (dia > 100) {
        dia = dia / 1000;
    }

    // These are a few baseline calculations
    var lbsPerFoot = (((dia * dia * 0.7854) * 12) * 0.2833);
    var ftPerRev = (3.1415 * (block / 12));

    // Actual final values
    var feet = Math.round(rack / lbsPerFoot);
    var inches = feet * 12;
    var revs = Math.round(feet / ftPerRev);

    // Set values on page
    document.getElementById("feet").textContent = feet;
    document.getElementById("inch").textContent = inches;
    document.getElementById("revs").textContent = revs;
}